Skip to content
Judgment Labs
Esc
↑↓navigate↵open⌘Jpreview

List memory entries

List project memory entry paths and metadata, including folders and files. Does not include file bodies.

GET/v1/projects/{projectId}/memory/entries
Authorization
AuthorizationPersonal API key · headerrequired

Your personal API key from Settings > Personal API Keys, sent as Bearer <key>.

X-Organization-IdOrganization ID · headerrequired

The organization to act in. Copy it with Copy organization ID in the organization menu or the settings sidebar.

Path parameters
projectIdstringrequired
Responses
200

Response for status 200

entriesobject[]required
Show properties
Array of object
idstringrequired
namestringrequired
typestringrequired
Allowed:folderfile
created_atstringrequired
updated_atstringrequired
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://api.judgmentlabs.ai/v1/projects/YOUR_PROJECT_ID/memory/entries' \
  -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'X-Organization-Id: YOUR_ORGANIZATION_ID' \
  -H 'Accept: application/json'
Response
{
  "entries": [
    {
      "id": "string",
      "name": "string",
      "type": "folder",
      "created_at": "string",
      "updated_at": "string"
    }
  ]
}

Was this page helpful?